package com.funambol.omadmclient.android.testremoteclientadapter;

import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;

public class TestRemoteClientAdapter extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_test_remote_client_adapter);
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.test_remote_client_adapter, menu);
        return true;
    }
    
    public static native long GetManagementObject(String objectName);
    public static native long GetManagementTree(String uri);
    public static native long GetClientProfiles();
    public static native long SetManagementObject(String objectName);
    public static native long Set(String filename);
    public static native long SetEMSK(String emsk);
    public static native long SetManufacturer(String manufacturer);
    public static native long SetModel(String model);
    public static native long SetDeviceID(String deviceID);
    public static native long SetWiMAXDiagnostics();
    public static native long CheckFirmware();
    public static native long StartDMSession();
    public static native long HandleProvision();
    public static native long HandleConfirmation();
    public static native long Subscribe();
    public static native long DRMDReadyRequest();
    public static native long HandleNetworkEntry(int hnspID, String operatorName);
    public static native long GetProfileActivationStatus(long isActive);
    public static native long StartBootstrap();
    
}
